Skip to main content
Agent Insight Monitors

List current insights for an Agent Insights monitor

GET
/agent_insight_monitors/{monitor_id}/insights
Path Parameters
monitor_idstringrequired
The identifier of the monitor.
Query Parameters
afterstringoptional
A cursor that identifies the last item in the previous page.
beforestringoptional
A cursor that identifies the first item in the next page.
limitintegeroptionaldefault: 20
The maximum number of items to return. Defaults to 20.
orderstringoptionaldefault: desc
Sort order by creation time. Defaults to descending.
ascdesc
categorystringoptional
Filter insights by category.
severitystringoptional
Filter insights by severity.
highmediumlow
statusstringoptional
Filter insights by lifecycle status.
activeresolvedignored
include_detailsbooleanoptionaldefault: false
Whether to include expanded insight details such as evidence and run links in the response. Defaults to false.
api-versionstringrequired
The API version to use for this operation.
Header Parameters
Foundry-Featuresstringrequired
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
AgentInsights=V1Preview
Responses
dataAgentInsight[]required
The requested list of items.
idstringrequired
The insight identifier.
monitor_idstringrequired
The Agent Insights monitor this insight belongs to.
agent_namestringrequired
The agent this insight belongs to.
agent_versionstringrequired
The latest immutable agent version associated with this insight.
titlestringrequired
A short title for the issue.
severityenumrequired
The severity of an agent insight.
highmediumlow
categorystringrequired
An open, service-generated category label for the issue. Clients must accept previously unseen values.
statusenumrequired
The lifecycle status of an agent insight.
activeresolvedignored
trace_countintegerrequired
The number of traces that provide evidence for this insight.
created_atintegerrequired
updated_atintegerrequired
descriptionstringrequired
The root-cause diagnosis for the issue.
detailsAgentInsightDetails
Additional insight details. Omitted unless details are requested.
first_idstring
The first ID represented in this list.
last_idstring
The last ID represented in this list.
has_morebooleanrequired
A value indicating whether there are additional values available not captured in this list.